Bug 1730702 - system type overrides all the syspurpose attributes
Summary: system type overrides all the syspurpose attributes
Keywords:
Status: NEW
Alias: None
Product: Candlepin
Classification: Community
Component: candlepin
Version: 2.7
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: candlepin-bugs
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-17 11:58 UTC by Shwetha Kallesh
Modified: 2019-09-13 12:17 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Shwetha Kallesh 2019-07-17 11:58:13 UTC
Description of problem:
Autoattach doesnot honour the usage attribute set on Activationkey 

Version-Release number of selected component (if applicable):
[root@kvm-02-guest16 ~]# subscription-manager version
server type: Red Hat Subscription Management
subscription management server: 2.7.2-1
subscription management rules: 5.37
subscription-manager: 1.24.13-1.el7

How reproducible:


Steps to Reproduce:
Create an activationkey with usage attribute set to production and auto-attach set to true:
--------------------------------------------------------------------------------------------------

[root@kvm-02-guest16 ~]# curl -k --request POST --user stage_auto_syspurpose001:redhat --data '{"usage":"Production","name":"Prod_test","autoAttach":"true"}' --header 'accept: application/json' --header 'content-type: application/json' https://subscription.rhn.stage.redhat.com:443/subscription/owners/13418489/activation_keys | python -mjson.tool
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100   495    0   434  100    61    205     28  0:00:02  0:00:02 --:--:--   205
{
    "addOns": [],
    "autoAttach": true,
    "contentOverrides": [],
    "created": "2019-07-17T11:32:24+0000",
    "description": null,
    "id": "8a99f9a26bfc0f23016bffb4723518d0",
    "name": "Prod_test",
    "owner": {
        "displayName": "13418489",
        "href": "/owners/13418489",
        "id": "8a99f9ad6bdf723a016be18c523100e7",
        "key": "13418489"
    },
    "pools": [],
    "products": [],
    "releaseVer": {
        "releaseVer": null
    },
    "role": null,
    "serviceLevel": null,
    "updated": "2019-07-17T11:32:24+0000",
    "usage": "Production"
}

Set Usage on the system as Development:
--------------------------------------------------------------
[root@kvm-02-guest16 ~]# syspurpose set-usage Development
usage set to Development
System purpose successfully sent to subscription management server.
[root@kvm-02-guest16 ~]# subscription-manager unregister
Unregistering from: subscription.rhsm.stage.redhat.com:443/subscription
System has been unregistered.

[root@kvm-02-guest16 ~]# syspurpose show
{
  "usage": "Development"
}
Unable to send system purpose to subscription management server

Register the system with activationkey created above:
--------------------------------------------------------------------------------------------------------
[root@kvm-02-guest16 ~]# subscription-manager register --org=13418489 --activationkey=Prod_test --force
The system has been registered with ID: 985876a5-8bdc-4c92-a501-6b5269fa6987
The registered system name is: kvm-02-guest16.rhts.eng.brq.redhat.com
Installed Product Current Status:
Product Name: Red Hat Enterprise Linux for Scientific Computing
Status:       Subscribed


Verify the consumed list:
--------------------------------------------------------------------------------------------------
[root@kvm-02-guest16 ~]# subscription-manager list --consumed
+-------------------------------------------+
   Consumed Subscriptions
+-------------------------------------------+
Subscription Name:   Red Hat Enterprise Linux, Self-Support (128 Sockets, NFR, Partner Only)
Provides:            Red Hat Enterprise Linux High Availability - Update Services for SAP Solutions
                     Red Hat Enterprise Linux Atomic Host
                     Red Hat Enterprise Linux Atomic Host Beta
                     Red Hat Developer Tools (for RHEL Server)
                     Red Hat Container Images
                     Red Hat Developer Tools Beta (for RHEL Server)
                     Red Hat Container Images Beta
                     Red Hat Developer Tools (for RHEL Workstation)
                     Red Hat Developer Tools Beta (for RHEL Workstation)
                     Red Hat Enterprise Linux for Power, little endian
                     Red Hat Enterprise Linux for IBM System z (Structure A)
                     dotNET on RHEL (for RHEL Server)
                     dotNET on RHEL Beta (for RHEL Server)
                     Red Hat Certification (for RHEL Server)
                     Red Hat Enterprise Linux for Real Time
                     Red Hat Directory Server
                     Red Hat Software Collections (for RHEL Server)
                     RHEL for SAP - Extended Update Support
                     Red Hat Software Collections (for RHEL Client)
                     Red Hat Software Collections (for RHEL Workstation)
                     Red Hat Enterprise Linux Server - Extended Life Cycle Support
                     Red Hat Software Collections Beta (for RHEL Server)
                     Red Hat Software Collections Beta (for RHEL Client)
                     Red Hat Software Collections Beta (for RHEL Workstation)
                     Red Hat Enterprise Linux Desktop
                     Red Hat Enterprise Linux Server
                     Red Hat Enterprise Linux for Power, little endian - Extended Update Support
                     MRG Realtime
                     Red Hat Enterprise Linux High Performance Networking (for RHEL for IBM POWER)
                     Red Hat Enterprise Linux High Performance Networking (for RHEL for IBM POWER) - Extended Update Support
                     Red Hat Enterprise Linux Scalable File System (for RHEL Compute Node)
                     Red Hat Developer Toolset (for RHEL Server)
                     RHEL for SAP Applications for Power BE
                     Red Hat Enterprise Linux Resilient Storage for IBM z Systems
                     RHEL for SAP Applications for Power BE EUS
                     Red Hat Developer Toolset (for RHEL Workstation)
                     Red Hat Enterprise Linux for SAP Applications for Power, little endian
                     RHEL for SAP Applications for Power LE EUS
                     Red Hat Enterprise Linux for SAP Applications for IBM z Systems
                     Red Hat Certificate System
                     RHEL for SAP Applications for System Z EUS
                     Red Hat Enterprise Linux for SAP HANA for Power, little endian
                     Red Hat Enterprise Linux Server - Extended Update Support
                     RHEL for SAP HANA for Power LE EUS
                     Red Hat Enterprise Linux Workstation
                     Red Hat Enterprise Linux for IBM z Systems
                     Red Hat Enterprise Linux for IBM z Systems - Extended Update Support
                     Red Hat Enterprise Linux for Power, big endian
                     Red Hat Enterprise Linux for Power, big endian - Extended Update Support
                     Red Hat Enterprise Linux for Scientific Computing
                     Red Hat Beta
                     Red Hat EUCJP Support (for RHEL Server)
                     Red Hat EUCJP Support (for RHEL Server) - Extended Update Support
                     Red Hat Enterprise Linux High Availability for x86_64
                     Red Hat Enterprise Linux High Availability (for RHEL Server) - Extended Update Support
                     Red Hat Enterprise Linux Load Balancer (for RHEL Server)
                     Red Hat Enterprise Linux Load Balancer (for RHEL Server) - Extended Update Support
                     Red Hat Developer Toolset (for RHEL Server EUS)
                     Red Hat Developer Toolset (for RHEL for IBM POWER)
                     Red Hat Software Collections (for RHEL Server for ARM)
                     Red Hat Software Collections Beta (for RHEL Server for ARM)
                     Red Hat Hardware Certification Test Suite
                     Red Hat Software Collections (for RHEL Server for IBM Power)
                     Red Hat Enterprise Linux Fast Datapath Beta for Power, little endian
                     Red Hat Software Collections Beta (for RHEL Server for IBM Power)
                     Red Hat Software Collections (for RHEL Server for IBM Power LE)
                     Red Hat Software Collections Beta (for RHEL Server for IBM Power LE)
                     Red Hat Enterprise Linux for x86_64
                     Red Hat Software Collections (for RHEL Server for System Z)
                     Red Hat Software Collections Beta (for RHEL Server for System Z)
                     Red Hat Enterprise Linux Resilient Storage for x86_64
                     Red Hat Enterprise Linux Resilient Storage (for RHEL Server) - Extended Update Support
                     Red Hat Enterprise Linux Scalable File System (for RHEL Server)
                     Red Hat Enterprise Linux Scalable File System (for RHEL Server) - Extended Update Support
                     Red Hat Enterprise Linux Scalable File System (for RHEL Workstation)
                     Oracle Java (for RHEL Server)
                     Red Hat Enterprise Linux for SAP HANA for x86_64
                     Oracle Java (for RHEL Client)
                     Oracle Java (for RHEL Compute Node)
                     Oracle Java (for RHEL Workstation)
                     Oracle Java (for RHEL Compute Node) - Extended Update Support
                     Red Hat Developer Tools (for RHEL Server for ARM)
                     Oracle Java (for RHEL Server) - Extended Update Support
                     Red Hat S-JIS Support (for RHEL Server)
                     Red Hat Developer Tools Beta (for RHEL Server for ARM)
                     Red Hat Developer Tools (for RHEL Server for IBM Power)
                     Red Hat S-JIS Support (for RHEL Server) - Extended Update Support
                     RHEL for SAP HANA - Extended Update Support
                     Red Hat Developer Tools Beta (for RHEL Server for IBM Power)
                     Red Hat Software Test Suite 5 (for RHEL Server)
                     Red Hat Developer Tools (for RHEL Server for IBM Power LE)
                     Red Hat Developer Tools Beta (for RHEL Server for IBM Power LE)
                     Red Hat Developer Tools (for RHEL Server for System Z)
                     Red Hat Developer Tools Beta (for RHEL Server for System Z)
                     Red Hat Ansible Engine
                     Red Hat CodeReady Linux Builder for x86_64
                     Red Hat Enterprise Linux Server - Extended Life Cycle Support (for IBM z Systems)
                     Red Hat CodeReady Linux Builder for Power, little endian
                     Red Hat CodeReady Linux Builder for IBM z Systems
                     Red Hat Enterprise Linux High Performance Networking (for RHEL Server)
                     Red Hat Enterprise Linux High Performance Networking (for RHEL Server) - Extended Update Support
                     Red Hat Enterprise Linux Resilient Storage for Power, little endian
                     Red Hat Enterprise Linux High Performance Networking (for RHEL Compute Node)
                     Oracle Java (for RHEL Server) - AUS
                     Red Hat Enterprise Linux Resilient Storage (for IBM Power LE) - Extended Update Support
                     Red Hat Enterprise Linux High Availability for Power, little endian
                     Red Hat Enterprise Linux High Availability (for IBM Power LE) - Extended Update Support
                     Red Hat Enterprise Linux Server (for IBM Power LE) - Update Services for SAP Solutions
                     RHEL for SAP (for IBM Power LE) - Update Services for SAP Solutions
                     RHEL for SAP HANA (for IBM Power LE) - Update Services for SAP Solutions
                     Red Hat Enterprise Linux High Availabilty (for IBM Power LE) - Update Services for SAP Solutions
                     Red Hat Enterprise Linux Server - Update Services for SAP Solutions
                     Red Hat Enterprise Linux for Power 9
                     RHEL for SAP - Update Services for SAP Solutions
                     Red Hat Enterprise Linux for SAP Applications for x86_64
                     Red Hat Enterprise Linux High Availability for IBM z Systems
                     RHEL for SAP HANA - Update Services for SAP Solutions
SKU:                 RH3387200                                                        --------------> SKU RH3387200 is a no role and no usage SKU , auto-attach picked up this SKU
Contract:            11888070
Account:             6216425
Serial:              7856596176673755633
Pool ID:             8a99f9aa6bdca607016be18f60c11947
Provides Management: No
Active:              True
Quantity Used:       1
Service Level:       Self-Support
Service Type:        L1-L3
Status Details:      Subscription is current
Subscription Type:   Standard
Starts:              07/11/2019
Ends:                07/11/2020
System Type:         Virtual


Verify the status of system:
----------------------------------------------------------
[root@kvm-02-guest16 ~]# subscription-manager status
+-------------------------------------------+
   System Status Details
+-------------------------------------------+
Overall Status: Current

System Purpose Status: Mismatched
                       ^^ status is mismatched 

[root@kvm-02-guest16 ~]# syspurpose show
{
  "usage": "Production"
}

^^ Observe that usage is now set to "Production" which is correct

System purpose successfully sent to subscription management server.

Now try to list available subscription and attach the SKU and verify the status of the system:
-----------------------------------------------------------------------------------------------------
[root@kvm-02-guest16 ~]# subscription-manager list --avail --match-installed
+-------------------------------------------+
    Available Subscriptions
+-------------------------------------------+
Subscription Name:   Red Hat Enterprise Linux Server for HPC Compute Node, Self-support (Physical or Virtual Node)
Provides:            Red Hat Beta
                     Red Hat CodeReady Linux Builder for x86_64
                     Red Hat Enterprise Linux for x86_64
                     dotNET on RHEL (for RHEL Compute Node)
                     Red Hat Ansible Engine
                     Red Hat Enterprise Linux for Scientific Computing
                     Oracle Java (for RHEL Compute Node)
                     dotNET on RHEL Beta (for RHEL Compute Node)
SKU:                 RH00559
Contract:            11888081
Pool ID:             8a99f9ad6bdf723a016be18d052a011a
Provides Management: No
Available:           100
Suggested:           1
Service Level:       Self-Support
Service Type:        L1-L3
Subscription Type:   Instance Based
Starts:              07/11/2019
Ends:                07/11/2020
System Type:         Physical


[root@kvm-02-guest16 ~]# subscription-manager attach --pool 8a99f9ad6bdf723a016be18d052a011a
Successfully attached a subscription for: Red Hat Enterprise Linux Server for HPC Compute Node, Self-support (Physical or Virtual Node)
1 local certificate has been deleted.
[root@kvm-02-guest16 ~]# subscription-manager status
+-------------------------------------------+
   System Status Details
+-------------------------------------------+
Overall Status: Current

System Purpose Status: Matched
^^ Bang status is matched when SKU RH00559 is attached

[root@kvm-02-guest16 ~]# subscription-manager list --consumed
+-------------------------------------------+
   Consumed Subscriptions
+-------------------------------------------+
Subscription Name:   Red Hat Enterprise Linux, Self-Support (128 Sockets, NFR, Partner Only)
Provides:            Red Hat Enterprise Linux High Availability - Update Services for SAP Solutions
                     Red Hat Enterprise Linux Atomic Host
                     Red Hat Enterprise Linux Atomic Host Beta
                     Red Hat Developer Tools (for RHEL Server)
                     Red Hat Container Images
                     Red Hat Developer Tools Beta (for RHEL Server)
                     Red Hat Container Images Beta
                     Red Hat Developer Tools (for RHEL Workstation)
                     Red Hat Developer Tools Beta (for RHEL Workstation)
                     Red Hat Enterprise Linux for Power, little endian
                     Red Hat Enterprise Linux for IBM System z (Structure A)
                     dotNET on RHEL (for RHEL Server)
                     dotNET on RHEL Beta (for RHEL Server)
                     Red Hat Certification (for RHEL Server)
                     Red Hat Enterprise Linux for Real Time
                     Red Hat Directory Server
                     Red Hat Software Collections (for RHEL Server)
                     RHEL for SAP - Extended Update Support
                     Red Hat Software Collections (for RHEL Client)
                     Red Hat Software Collections (for RHEL Workstation)
                     Red Hat Enterprise Linux Server - Extended Life Cycle Support
                     Red Hat Software Collections Beta (for RHEL Server)
                     Red Hat Software Collections Beta (for RHEL Client)
                     Red Hat Software Collections Beta (for RHEL Workstation)
                     Red Hat Enterprise Linux Desktop
                     Red Hat Enterprise Linux Server
                     Red Hat Enterprise Linux for Power, little endian - Extended Update Support
                     MRG Realtime
                     Red Hat Enterprise Linux High Performance Networking (for RHEL for IBM POWER)
                     Red Hat Enterprise Linux High Performance Networking (for RHEL for IBM POWER) - Extended Update Support
                     Red Hat Enterprise Linux Scalable File System (for RHEL Compute Node)
                     Red Hat Developer Toolset (for RHEL Server)
                     RHEL for SAP Applications for Power BE
                     Red Hat Enterprise Linux Resilient Storage for IBM z Systems
                     RHEL for SAP Applications for Power BE EUS
                     Red Hat Developer Toolset (for RHEL Workstation)
                     Red Hat Enterprise Linux for SAP Applications for Power, little endian
                     RHEL for SAP Applications for Power LE EUS
                     Red Hat Enterprise Linux for SAP Applications for IBM z Systems
                     Red Hat Certificate System
                     RHEL for SAP Applications for System Z EUS
                     Red Hat Enterprise Linux for SAP HANA for Power, little endian
                     Red Hat Enterprise Linux Server - Extended Update Support
                     RHEL for SAP HANA for Power LE EUS
                     Red Hat Enterprise Linux Workstation
                     Red Hat Enterprise Linux for IBM z Systems
                     Red Hat Enterprise Linux for IBM z Systems - Extended Update Support
                     Red Hat Enterprise Linux for Power, big endian
                     Red Hat Enterprise Linux for Power, big endian - Extended Update Support
                     Red Hat Enterprise Linux for Scientific Computing
                     Red Hat Beta
                     Red Hat EUCJP Support (for RHEL Server)
                     Red Hat EUCJP Support (for RHEL Server) - Extended Update Support
                     Red Hat Enterprise Linux High Availability for x86_64
                     Red Hat Enterprise Linux High Availability (for RHEL Server) - Extended Update Support
                     Red Hat Enterprise Linux Load Balancer (for RHEL Server)
                     Red Hat Enterprise Linux Load Balancer (for RHEL Server) - Extended Update Support
                     Red Hat Developer Toolset (for RHEL Server EUS)
                     Red Hat Developer Toolset (for RHEL for IBM POWER)
                     Red Hat Software Collections (for RHEL Server for ARM)
                     Red Hat Software Collections Beta (for RHEL Server for ARM)
                     Red Hat Hardware Certification Test Suite
                     Red Hat Software Collections (for RHEL Server for IBM Power)
                     Red Hat Enterprise Linux Fast Datapath Beta for Power, little endian
                     Red Hat Software Collections Beta (for RHEL Server for IBM Power)
                     Red Hat Software Collections (for RHEL Server for IBM Power LE)
                     Red Hat Software Collections Beta (for RHEL Server for IBM Power LE)
                     Red Hat Enterprise Linux for x86_64
                     Red Hat Software Collections (for RHEL Server for System Z)
                     Red Hat Software Collections Beta (for RHEL Server for System Z)
                     Red Hat Enterprise Linux Resilient Storage for x86_64
                     Red Hat Enterprise Linux Resilient Storage (for RHEL Server) - Extended Update Support
                     Red Hat Enterprise Linux Scalable File System (for RHEL Server)
                     Red Hat Enterprise Linux Scalable File System (for RHEL Server) - Extended Update Support
                     Red Hat Enterprise Linux Scalable File System (for RHEL Workstation)
                     Oracle Java (for RHEL Server)
                     Red Hat Enterprise Linux for SAP HANA for x86_64
                     Oracle Java (for RHEL Client)
                     Oracle Java (for RHEL Compute Node)
                     Oracle Java (for RHEL Workstation)
                     Oracle Java (for RHEL Compute Node) - Extended Update Support
                     Red Hat Developer Tools (for RHEL Server for ARM)
                     Oracle Java (for RHEL Server) - Extended Update Support
                     Red Hat S-JIS Support (for RHEL Server)
                     Red Hat Developer Tools Beta (for RHEL Server for ARM)
                     Red Hat Developer Tools (for RHEL Server for IBM Power)
                     Red Hat S-JIS Support (for RHEL Server) - Extended Update Support
                     RHEL for SAP HANA - Extended Update Support
                     Red Hat Developer Tools Beta (for RHEL Server for IBM Power)
                     Red Hat Software Test Suite 5 (for RHEL Server)
                     Red Hat Developer Tools (for RHEL Server for IBM Power LE)
                     Red Hat Developer Tools Beta (for RHEL Server for IBM Power LE)
                     Red Hat Developer Tools (for RHEL Server for System Z)
                     Red Hat Developer Tools Beta (for RHEL Server for System Z)
                     Red Hat Ansible Engine
                     Red Hat CodeReady Linux Builder for x86_64
                     Red Hat Enterprise Linux Server - Extended Life Cycle Support (for IBM z Systems)
                     Red Hat CodeReady Linux Builder for Power, little endian
                     Red Hat CodeReady Linux Builder for IBM z Systems
                     Red Hat Enterprise Linux High Performance Networking (for RHEL Server)
                     Red Hat Enterprise Linux High Performance Networking (for RHEL Server) - Extended Update Support
                     Red Hat Enterprise Linux Resilient Storage for Power, little endian
                     Red Hat Enterprise Linux High Performance Networking (for RHEL Compute Node)
                     Oracle Java (for RHEL Server) - AUS
                     Red Hat Enterprise Linux Resilient Storage (for IBM Power LE) - Extended Update Support
                     Red Hat Enterprise Linux High Availability for Power, little endian
                     Red Hat Enterprise Linux High Availability (for IBM Power LE) - Extended Update Support
                     Red Hat Enterprise Linux Server (for IBM Power LE) - Update Services for SAP Solutions
                     RHEL for SAP (for IBM Power LE) - Update Services for SAP Solutions
                     RHEL for SAP HANA (for IBM Power LE) - Update Services for SAP Solutions
                     Red Hat Enterprise Linux High Availabilty (for IBM Power LE) - Update Services for SAP Solutions
                     Red Hat Enterprise Linux Server - Update Services for SAP Solutions
                     Red Hat Enterprise Linux for Power 9
                     RHEL for SAP - Update Services for SAP Solutions
                     Red Hat Enterprise Linux for SAP Applications for x86_64
                     Red Hat Enterprise Linux High Availability for IBM z Systems
                     RHEL for SAP HANA - Update Services for SAP Solutions
SKU:                 RH3387200
Contract:            11888070
Account:             6216425
Serial:              7856596176673755633
Pool ID:             8a99f9aa6bdca607016be18f60c11947
Provides Management: No
Active:              True
Quantity Used:       1
Service Level:       Self-Support
Service Type:        L1-L3
Status Details:      Subscription is current
Subscription Type:   Standard
Starts:              07/11/2019
Ends:                07/11/2020
System Type:         Virtual

Subscription Name:   Red Hat Enterprise Linux Server for HPC Compute Node, Self-support (Physical or Virtual Node)
Provides:            Red Hat Beta
                     Red Hat CodeReady Linux Builder for x86_64
                     Red Hat Ansible Engine
                     Red Hat Enterprise Linux for Scientific Computing
                     Oracle Java (for RHEL Compute Node)
                     dotNET on RHEL (for RHEL Compute Node)
                     dotNET on RHEL Beta (for RHEL Compute Node)
                     Red Hat Enterprise Linux for x86_64
SKU:                 RH00559
Contract:            11888081
Account:             6216425
Serial:              6737105202883972864
Pool ID:             8a99f9ad6bdf723a016be18d052a011a
Provides Management: No
Active:              True
Quantity Used:       1
Service Level:       Self-Support
Service Type:        L1-L3
Status Details:      Subscription is current
Subscription Type:   Instance Based
Starts:              07/11/2019
Ends:                07/11/2020
System Type:         Physical



Actual results:
SKU RH3387200 gets attached

Expected results:
SKU RH00559 should be attached

Additional info:

Comment 4 Shwetha Kallesh 2019-09-13 10:51:57 UTC
If I set virt.is_guest fact to false then auto-attach attaches right sku

[root@kvm-03-guest10 ~]# echo '{"virt.is_guest":"False"}' > /etc/rhsm/facts/override.facts

[root@kvm-03-guest10 ~]# subscription-manager facts --update
Successfully updated the system facts.

[root@kvm-03-guest10 ~]# subscription-manager facts --list | grep is_guest
virt.is_guest: False

[root@kvm-03-guest10 ~]# syspurpose set-usage "Development"
usage set to Development
System purpose successfully sent to subscription management server.
[root@kvm-03-guest10 ~]# syspurpose show
{
  "usage": "Development"
}

System purpose successfully sent to subscription management server.
[root@kvm-03-guest10 ~]# subscription-manager register --org=13418489 --activationkey=Prod_test --force
Unregistering from: subscription.rhsm.stage.redhat.com:443/subscription
The system with UUID 295fdf6b-c115-4323-a8fd-2085fc41150d has been unregistered
All local data removed
The system has been registered with ID: 933eb0ea-fe3e-4419-9bdf-df80517cc1d1
The registered system name is: kvm-03-guest10.hv2.lab.eng.bos.redhat.com
Installed Product Current Status:
Product Name: Red Hat Enterprise Linux for Scientific Computing
Status:       Subscribed

[root@kvm-03-guest10 ~]# syspurpose show
{
  "usage": "Production"
}
System purpose successfully sent to subscription management server.
[root@kvm-03-guest10 ~]# subscription-manager list --consumed
+-------------------------------------------+
   Consumed Subscriptions
+-------------------------------------------+
Subscription Name:   Red Hat Enterprise Linux Server for HPC Compute Node, Self-support (Physical or Virtual Node)
Provides:            Red Hat Beta
                     Red Hat CodeReady Linux Builder for x86_64
                     Red Hat Ansible Engine
                     Red Hat Enterprise Linux for Scientific Computing
                     Oracle Java (for RHEL Compute Node)
                     dotNET on RHEL (for RHEL Compute Node)
                     dotNET on RHEL Beta (for RHEL Compute Node)
                     Red Hat Enterprise Linux for x86_64
SKU:                 RH00559                                                -----------------------------> auto-attach attaches correct sku here after updating system fact 
Contract:            11888081
Account:             6216425
Serial:              1162763865529725875
Pool ID:             8a99f9ad6bdf723a016be18d052a011a
Provides Management: No
Active:              True
Quantity Used:       1
Service Level:       Self-Support
Service Type:        L1-L3
Status Details:      Subscription is current
Subscription Type:   Instance Based
Starts:              07/11/2019
Ends:                07/10/2020
System Type:         Physical


so changing the summary of the bug to "system type overrides syspurpose attributes"

Comment 5 Nikos Moumoulidis 2019-09-13 12:17:16 UTC
From my testing, this issue might be fixed by https://bugzilla.redhat.com/show_bug.cgi?id=1702383 which has only been fixed in master.
Once that issue is ported into Stage (2.7 branch), we should re-test this scenario.


Note You need to log in before you can comment on or make changes to this bug.